NotifierResource
Date: 2018-08-02

org.gcube.informationsystem.notifier.impl

## Class NotifierResource

- java.lang.Object
- - GCUBEWSResource
  - - org.gcube.informationsystem.notifier.impl.NotifierResource

-     public class NotifierResource
      extends GCUBEWSResource

  It implements NotifierResource. it follows the singleton pattern
  Author:
    Andrea Manzi (ISTI-CNR)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotifierResource()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTopicMapping(TopicMapping<Producer,Consumer,RegistrationEventHandlerImpl> topicMapping)`
    `java.util.List<java.lang.String>` | `getListTopic()`
    `TopicMapping<Producer,Consumer,RegistrationEventHandlerImpl>` | `getTopicMappingByQName(javax.xml.namespace.QName topic)`
    `java.util.Hashtable<java.lang.String,TopicMapping<Producer,Consumer,RegistrationEventHandlerImpl>>` | `getTopicMappingList()`
    `void` | `initialise(java.lang.Object... o)`
    `boolean` | `isTopicPresent(javax.xml.namespace.QName topic)` Controls if the topic mapping contains the given topic
    `void` | `setTopicMappingList(java.util.Hashtable<java.lang.String,TopicMapping<Producer,Consumer,RegistrationEventHandlerImpl>> listTopicMapping)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NotifierResource

          public NotifierResource()

  - ### Method Detail

    - #### initialise

          public void initialise(java.lang.Object... o)
                          throws org.globus.wsrf.ResourceException

      Throws:
        `org.globus.wsrf.ResourceException`

    - #### getTopicMappingByQName

          public TopicMapping<Producer,Consumer,RegistrationEventHandlerImpl> getTopicMappingByQName(javax.xml.namespace.QName topic)
                                                                                              throws java.lang.Exception

      Returns:
      Throws:
        `java.lang.Exception`

    - #### getTopicMappingList

          public java.util.Hashtable<java.lang.String,TopicMapping<Producer,Consumer,RegistrationEventHandlerImpl>> getTopicMappingList()

    - #### setTopicMappingList

          public void setTopicMappingList(java.util.Hashtable<java.lang.String,TopicMapping<Producer,Consumer,RegistrationEventHandlerImpl>> listTopicMapping)

      Parameters:
        `hashMapSubscribers` -

    - #### isTopicPresent

          public boolean isTopicPresent(javax.xml.namespace.QName topic)

      Controls if the topic mapping contains the given topic
      Parameters:
        `topic` - the topic to check
      Returns:
        true if the topic is present

    - #### addTopicMapping

          public void addTopicMapping(TopicMapping<Producer,Consumer,RegistrationEventHandlerImpl> topicMapping)

    - #### getListTopic

          public java.util.List<java.lang.String> getListTopic()